Description

Hi, 

A user found a bug here. When changing a font in advanced data defined labeling (1.8 and master today), font selected is not written to

table, so not taken into account.

Cheers

Régis

History

#1 - 2013-06-05 01:00 PM - Larry Shaffer

- Subject changed from Font is not written to table when using labeling toolbar to Font is not written to table when using change label properties tool

Hi Régis,

Thanks. Confirmed here on Mac. Working on a fix, probably done today.

Concerning the 'change label properties' tool and its dialog, I decided that with the limited time I had to update the labeling GUI, that I should focus on the

main 'layer level' dialog. I therefore only updated the underlying code to the 'change label properties' dialog to work with expression-based data definitions.

However, the 'change label properties' dialog will hopefully see quite an update for QGIS 2.1. One of the first steps towards label styles (like gradient or

symbol styles in Style Manager) is to have a base dialog built off of components that works for editing layer-level, change label tool, and styles properties.

The redesign of the layer-level dialog was intended to be a start in that direction.

The new label styles will be the basis for a rule-based labeling setup.

In other words, the current 'change label properties' dialog will not be updated any further for 2.0 release (excepting for bugs like this one). To do so would

be wasted time coding something that will be replaced soon.

#2 - 2013-06-06 04:56 AM - Regis Haubourg

Thanks Larry for your work!

Régis

#3 - 2013-06-15 06:02 PM - Larry Shaffer

Hi Régis,
Should be fixed with commit commit:9e2c4a0 Please test.

There remains an unrelated issue when bold and/or italic data defined mappings are used. The name-styled font doesn't always switch to the correct style

(supposed to override name-styling).

#4 - 2013-06-17 01:29 AM - Regis Haubourg

- % Done changed from 0 to 100

Thanks Larry, 

Bug solved for me. I couldn't reproduce the issue vith bold/italic stuff. Do I close the ticket?

#5 - 2013-07-14 10:30 AM - Daniel Vaz

I suggest to close this ticket, since the commit was merged into master.

#6 - 2013-07-14 10:33 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
